Bug 1411676 - Deleting candidates from the user database doesn’t work if the candidate is typed with a prefix
Summary: Deleting candidates from the user database doesn’t work if the candidate is t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 09:31 UTC by Mike FABIAN
Modified: 2017-01-25 20:22 UTC (History)
4 users (show)

Fixed In Version: ibus-typing-booster-1.5.16-1.fc25 ibus-typing-booster-1.5.19-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 20:22:39 UTC


Attachments (Terms of Use)

Description Mike FABIAN 2017-01-10 09:31:01 UTC
While using ibus-typing-booster, type some word like
“supercalifragilisticexpialidocious” and commit it.

Type the beginning of the word again, e.g. “supercali”, you see the
completion “supercalifragilisticexpialidocious” because it has been
remembered in the user database. While seeing that candidate list,
type Control+F1 (assuming the candidate is at position 1 in the
candidate list) to delete it from the user database. The candidate
correctly vanishes.

Type “supercalifragilisticexpialidocious” again and commit it.

Now type “_supercali”, you see the candidate
“_supercalifragilisticexpialidocious” displayed. This is because
ibus-typing-booster strips some prefixes characters like _() before
attempting completion. Without that,
“(supercalifragilisticexpialidocious” would be remembered as a
completely different word in the user database, it seems better to
consider something like the leading “(” not as part of the word/token
to remember.

Now type Control+F1 (assuming the candidate
“_supercalifragilisticexpialidocious” is at position 1 in the
candidate list).

The candidate does *not* vanish now and the word
“supercalifragilisticexpialidocious” is not deleted from the user
database.

This is inconvenient and counterintuitive.

Comment 1 Fedora Update System 2017-01-10 15:46:15 UTC
ibus-typing-booster-1.5.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc5be68804

Comment 2 Fedora Update System 2017-01-10 15:46:46 UTC
ibus-typing-booster-1.5.16-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b4c1b068

Comment 3 Fedora Update System 2017-01-11 03:22:15 UTC
ibus-typing-booster-1.5.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b4c1b068

Comment 4 Fedora Update System 2017-01-11 03:49:17 UTC
ibus-typing-booster-1.5.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc5be68804

Comment 5 Fedora Update System 2017-01-12 05:24:51 UTC
ibus-typing-booster-1.5.16-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-01-13 16:23:42 UTC
ibus-typing-booster-1.5.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-055b6ced50

Comment 7 Fedora Update System 2017-01-14 06:19:48 UTC
ibus-typing-booster-1.5.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-055b6ced50

Comment 8 Fedora Update System 2017-01-17 12:30:44 UTC
ibus-typing-booster-1.5.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-003627ba96

Comment 9 Fedora Update System 2017-01-17 21:53:50 UTC
ibus-typing-booster-1.5.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-003627ba96

Comment 10 Fedora Update System 2017-01-19 07:18:29 UTC
ibus-typing-booster-1.5.19-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbf2db3cfa

Comment 11 Fedora Update System 2017-01-19 07:31:54 UTC
ibus-typing-booster-1.5.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 12 Fedora Update System 2017-01-20 19:20:29 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 13 Fedora Update System 2017-01-25 20:22:39 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.